net.minecraftforge.oredict

## Class ShapedOreRecipe

- java.lang.Object
- - net.minecraftforge.oredict.ShapedOreRecipe

- All Implemented Interfaces:
    IRecipe

      public class ShapedOreRecipe
      extends Object
      implements IRecipe

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ShapedOreRecipe(Block result, Object... recipe)`
    `ShapedOreRecipe(Item result, Object... recipe)`
    `ShapedOreRecipe(ItemStack result, Object... recipe)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ItemStack` | `getCraftingResult(InventoryCrafting var1)` Returns an Item that is the result of this recipe
    `Object[]` | `getInput()` Returns the input for this recipe, any mod accessing this value should never manipulate the values in this array as it will effect the recipe itself.
    `ItemStack` | `getRecipeOutput()`
    `int` | `getRecipeSize()` Returns the size of the recipe area
    `boolean` | `matches(InventoryCrafting inv, World world)` Used to check if a recipe matches current crafting inventory
    `ShapedOreRecipe` | `setMirrored(boolean mirror)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ShapedOreRecipe

          public ShapedOreRecipe(Block result,
                         Object... recipe)

    - #### ShapedOreRecipe

          public ShapedOreRecipe(Item result,
                         Object... recipe)

    - #### ShapedOreRecipe

          public ShapedOreRecipe(ItemStack result,
                         Object... recipe)

  - ### Method Detail

    - #### getCraftingResult

          public ItemStack getCraftingResult(InventoryCrafting var1)

      Description copied from interface: `IRecipe`
      Returns an Item that is the result of this recipe
      Specified by:
        `getCraftingResult` in interface `IRecipe`

    - #### getRecipeSize

          public int getRecipeSize()

      Description copied from interface: `IRecipe`
      Returns the size of the recipe area
      Specified by:
        `getRecipeSize` in interface `IRecipe`

    - #### getRecipeOutput

          public ItemStack getRecipeOutput()

      Specified by:
        `getRecipeOutput` in interface `IRecipe`

    - #### matches

          public boolean matches(InventoryCrafting inv,
                        World world)

      Description copied from interface: `IRecipe`
      Used to check if a recipe matches current crafting inventory
      Specified by:
        `matches` in interface `IRecipe`

    - #### setMirrored

          public ShapedOreRecipe setMirrored(boolean mirror)

    - #### getInput

          public Object[] getInput()

      Returns the input for this recipe, any mod accessing this value should never manipulate the values in this array as it will effect the recipe itself.
      Returns:
        The recipes input vales.